c       CERC formula, eq (K10.30) 
c       Theofanis V. Karambas

	data slp/0.05/
	write (*,*) 'Ho, per, ad,  f%'
	 read (*,*) Ho,per,ad,f


	pi=4.0*atan(1.0)
	A0=(Ad/90)*pi/2.
	f=f/100.

	omega=2*PI/per

	ALo=9.81*(PER**2)/(2*PI)
	ALNGHP=ALo

	aksi=slp/sqrt(Ho/ALo)
	gamma=aksi**0.17+0.08


	Hod=Ho
	do i=1,20

	Hb=Hod*(0.56*(Hod/aLo)**-(1./5.))

	if ((Hod/aLo).lt.0.0208) then
	Hb=Hod*(0.3839*(Hod/aLo)**-.3118)
	else if ((Hod/aLo).ge.0.0208.and.(Hod/aLo).lt.0.1) then
	Hb=Hod*(0.6683*(Hod/aLo)**-.1686)
	else
	Hb=Hod
	end if

	db=Hb/gamma
	d=db        

	SIGMA=2*PI/PER
	PSI=(SIGMA**2)*D/9.81
	HLHUNT=1+.6522*PSI+.4622*(PSI**2)+.0864*(PSI**4)+.0675*PSI**5
	HUNT=1.0/(PSI+1.0/HLHUNT)
	ALNGH=PER*SQRT(9.81*D)*SQRT(HUNT)

   39   AKAPA=2*PI/ALNGHP
	AKD=AKAPA*D
	CH2=COSH(2*AKD)
	s=1/ch2
	SH=SINH(AKD)
	TH=TANH(AKD)
	anl=1
	ALNGH=ALo*anl*TANH(AKD)
	DLEN=ABS(ALNGH-ALNGHP)
	IF (DLEN.GT.0.001) THEN
	ALNGHP=ALNGH
	GOTO 39
	ELSE
	END IF
	CEL=ALNGH/PER
	aL=ALNGH

	an=0.5*(1.+2*AKD/SINH(2*AKD))

	A=ASIN(aL/ALo*SIN(A0))
	aKr=sqrt(cos(A0)/cos(A))
	Hod=Ho*akr

	end do
	
	ab=a

	write (*,*) 'Hb,db,ab'
	write (*,*) Hb,db,ab*180./pi

	qsh=0.077*(1/sqrt(gamma))*(Hb)**2.5*sin(2*ab)


	write (*,*) 'Qt=',f*qsh*365.*24.*3600.

	stop

	end

